SimpleXML Functions
simplexml_load_file
SimpleXML Functions
PHP Manual

# simplexml_import_dom

(PHP 5)

simplexml_import_dom — Get a SimpleXMLElement object from a DOM node.

### Description

SimpleXMLElement simplexml_import_dom ( DOMNode `$node` [, string `$class_name` = "SimpleXMLElement" ] )

This function takes a node of a DOM document and makes it into a SimpleXML node. This new object can then be used as a native SimpleXML element.

### Parameters

`node`

  A DOM Element node

`class_name`

  You may use this optional parameter so that simplexml_import_dom() will return an object of the specified class. That class should extend the SimpleXMLElement class.

### Return Values

Returns a SimpleXMLElement or `FALSE` on failure.

### Examples

Example #1 Importing DOM

`<?php
$dom = new DOMDocument;
$dom->loadXML('<books><book><title>blah</title></book></books>');
if (!$dom) {
echo 'Error while parsing the document';
exit;
}
$s = simplexml_import_dom($dom);
echo $s->book[0]->title;
?>`

The above example will output:

    blah

### See Also

- dom_import_simplexml() - Gets a DOMElement object from a SimpleXMLElement object
- Basic SimpleXML usage

SimpleXML Functions
simplexml_load_file
SimpleXML Functions
PHP Manual